Bug 1371842 - [RFE] [Neutron] [OSP-director] ML2 plugin should enable "trunk" service plugin by default
Summary: [RFE] [Neutron] [OSP-director] ML2 plugin should enable "trunk" service plug...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Brent Eagles
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1281567 1335593
TreeView+ depends on / blocked
 
Reported: 2016-08-31 08:58 UTC by Nir Yechiel
Modified: 2017-04-06 12:31 UTC (History)
12 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.8.0rc3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:55:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 363083 None None None 2016-08-31 09:01:17 UTC
OpenStack gerrit 385983 None None None 2016-10-14 12:44:15 UTC
Launchpad 1618570 None None None 2016-08-31 09:02:02 UTC
Launchpad 1633079 None None None 2016-10-13 13:21:54 UTC

Description Nir Yechiel 2016-08-31 08:58:07 UTC
Description of problem:

The VLAN aware VMs feature was added in Newton. The functionality is contained in an optional service plugin and may be enabled by default during deployment as it will not affect users who are not using this feature.

To enable, simply add "trunk" to the existing list of service_plugins.

Comment 2 Nir Yechiel 2016-09-13 04:08:13 UTC
Merged in upstream Newton.

Comment 4 Alexander Stafeyev 2016-10-06 07:48:18 UTC
Hi Brent, 
I saw that the openstack/tripleo-heat-templates / puppet/services/neutron-plugin-ml2.yaml does have the trunk option, but after deployment it was not configured in neutron.conf service_plugins. 
As I understood, it should be configured by default. 

Pls advise regarding how it should be

Tnx

Comment 5 Toni Freger 2016-10-13 07:48:48 UTC
The trunk is enabled by default in /etc/neutron/plugin.ini:extension_drivers =qos,port_security,trunk
but not under service_plugins configuration --> /etc/neutron/neutron.conf:service_plugins=router,qos

If service_plugins doesn't contain "trunk", plugin command to create trunk port will failed :
openstack network trunk create --parent-port portid trunk1 

The error:
404 Not Found

The resource could not be found.

Comment 6 Brent Eagles 2016-10-13 13:21:55 UTC
Definitely a bug. Launchpad bug filed and patches in progress.

Comment 7 Assaf Muller 2016-10-25 14:27:43 UTC
I see that the backport for the fix merged in u/s stable/newton. Is the fix available in OSP 10 branch?

Comment 10 Toni Freger 2016-11-02 09:25:21 UTC
The new patch is verified on openstack-tripleo-heat-templates-5.0.0-1.1.el7ost.noarch

The trunk configuration is enabled by default within /etc/neutron/neutron.conf:service_plugins

[stack@undercloud-0 ~]$ openstack network trunk create --parent-port bf7c427d-9057-433f-beab-dd3cc4881cac trunk1 
+-----------------+--------------------------------------+
| Field           | Value                                |
+-----------------+--------------------------------------+
| admin_state_up  | UP                                   |
| created_at      | 2016-11-02T09:17:50Z                 |
| description     |                                      |
| id              | 7a74ec14-4df2-4a28-bb85-46fcd059874c |
| name            | trunk1                               |
| port_id         | bf7c427d-9057-433f-beab-dd3cc4881cac |
| project_id      | 9e4cdbb57f2b41f2ae30a3b154843bab     |
| revision_number | 1                                    |
| status          | DOWN                                 |
| sub_ports       |                                      |
| tenant_id       | 9e4cdbb57f2b41f2ae30a3b154843bab     |
| updated_at      | 2016-11-02T09:17:50Z                 |
+-----------------+--------------------------------------+
[stack@undercloud-0 ~]$ neutron port-list
+--------------------------------------+------+-------------------+-----------------------------------------------------------------------------------+
| id                                   | name | mac_address       | fixed_ips                                                                         |
+--------------------------------------+------+-------------------+-----------------------------------------------------------------------------------+
| 4f07fd45-6ee9-49d3-a1f0-36a7c04e62c5 |      | fa:16:3e:fb:3a:cf | {"subnet_id": "71b089c7-e8ba-457f-a358-45e27cee0436", "ip_address": "10.0.5.2"}   |
| bf7c427d-9057-433f-beab-dd3cc4881cac |      | fa:16:3e:54:d3:b2 | {"subnet_id": "a1aa1059-2fce-4539-a19e-85741cd52229", "ip_address": "10.1.10.19"} |
| eb14a1b3-54d1-4185-9210-41f6c8911469 |      | fa:16:3e:90:45:29 | {"subnet_id": "a1aa1059-2fce-4539-a19e-85741cd52229", "ip_address": "10.1.10.10"} |
+--------------------------------------+------+-------------------+-----------------------------------------------------------------------------------+
[stack@undercloud-0 ~]$ openstack network trunk list
+--------------------------------------+--------+--------------------------------------+-------------+
| ID                                   | Name   | Parent Port                          | Description |
+--------------------------------------+--------+--------------------------------------+-------------+
| 7a74ec14-4df2-4a28-bb85-46fcd059874c | trunk1 | bf7c427d-9057-433f-beab-dd3cc4881cac |             |
+--------------------------------------+--------+--------------------------------------+-------------+

Comment 12 errata-xmlrpc 2016-12-14 15:55:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.